Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
notifications
Create Notification Config
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "apprise_url": "<string>",
  "event_filters": {},
  "message_template": "<string>",
  "is_enabled": true
}
'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/notifications"

payload = {
    "name": "<string>",
    "apprise_url": "<string>",
    "event_filters": {},
    "message_template": "<string>",
    "is_enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    apprise_url: '<string>',
    event_filters: {},
    message_template: '<string>',
    is_enabled: true
  })
};

fetch('https://api.dataraven.io/v1/teams/{team_id}/notifications', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "event_type": "<string>",
  "event_filters": {},
  "message_template": "<string>",
  "is_enabled": true,
  "apprise_vault_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

application/json

Schema for creating a notification config

name
string
required
Required string length: 1 - 255
event_type
enum<string>
required

Supported notification event types

Available options:
task_execution_started,
task_execution_completed,
task_execution_failed,
task_execution_cancelled,
task_created,
task_updated,
task_deleted,
task_status_changed,
secret_created,
secret_updated,
secret_deleted,
location_created,
location_updated,
location_deleted,
api_key_created,
api_key_rotated,
api_key_revoked,
api_key_deleted
apprise_url
string
required

Apprise URL (e.g., slack://token)

Required string length: 1 - 2048
event_filters
Event Filters · object
message_template
string | null

Jinja2 template for notification message

Maximum string length: 10000
is_enabled
boolean
default:true

Response

Successful Response

Schema for notification config API responses

id
string<uuid>
required
team_id
string<uuid>
required
name
string
required
event_type
string
required
event_filters
Event Filters · object
required
message_template
string | null
required
is_enabled
boolean
required
apprise_vault_secret_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string<uuid> | null